[arch-commits] Commit in rsync/trunk (PKGBUILD)

Christian Hesse eworm at archlinux.org
Mon Jan 13 15:33:47 UTC 2020


    Date: Monday, January 13, 2020 @ 15:33:46
  Author: eworm
Revision: 373427

tests are known to fail on btrfs

Modified:
  rsync/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-01-13 15:09:07 UTC (rev 373426)
+++ PKGBUILD	2020-01-13 15:33:46 UTC (rev 373427)
@@ -38,16 +38,24 @@
 
 check() {
 	cd "$srcdir/$pkgname-$pkgver"
+
+	# rsync fails with xattr on btrfs...
+	if [ "$(stat --file-system --printf=%T .)" = "btrfs" ]; then
+		echo "Test is known to fail on btrfs..." >&2
+		exit 1
+	fi
+
 	make test
 }
 
 package() {
 	cd "$srcdir/$pkgname-$pkgver"
+
 	make DESTDIR="$pkgdir" install
-	install -Dm644 ../rsyncd.conf "$pkgdir/etc/rsyncd.conf"
-	install -Dm644 ../rsync.xinetd "$pkgdir/etc/xinetd.d/rsync"
-	install -Dm644 ../rsyncd.service "$pkgdir/usr/lib/systemd/system/rsyncd.service"
-	install -m644 ../rsyncd.socket "$pkgdir/usr/lib/systemd/system/rsyncd.socket"
-	install -m644 ../rsyncd at .service "$pkgdir/usr/lib/systemd/system/rsyncd at .service"
-	install -Dm755 support/rrsync "$pkgdir/usr/lib/rsync/rrsync"
+	install -Dm0644 ../rsyncd.conf "$pkgdir/etc/rsyncd.conf"
+	install -Dm0644 ../rsync.xinetd "$pkgdir/etc/xinetd.d/rsync"
+	install -Dm0644 ../rsyncd.service "$pkgdir/usr/lib/systemd/system/rsyncd.service"
+	install -m0644 ../rsyncd.socket "$pkgdir/usr/lib/systemd/system/rsyncd.socket"
+	install -m0644 ../rsyncd at .service "$pkgdir/usr/lib/systemd/system/rsyncd at .service"
+	install -Dm0755 support/rrsync "$pkgdir/usr/lib/rsync/rrsync"
 }



More information about the arch-commits mailing list